Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024999
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2013-10-23 16:552014-02-12 18:29
ReporterVictorVillarView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisiona990b760487b
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024999: Wrong error message unposting a physical inventory when actually it does not exist any register in the fact acct

DescriptionWrong error message unposting a physical inventory when actually it does not exist any register in the fact acct
Steps To ReproduceAs group admin role,
Go to Physical inventory window,
    Create one register for España
       Lines tab:
            Select Agua and save.
Realise that the qty count and the book qty are the same.
Process it.

post it. Realise that no record has been created in the Fact Acct.

Try to unpost it, deleting the journal entry which does not exist, the error message is 'Period close....' . This is a wrong message.

Also, try to unpost it,do not delete the journal entry which does not exist, the error message is 'No fact acct...'. This a wrong message.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00255283.0MP34 closedAtulOpenbravo Wrong error message when posting an inventory with a line with Qty Count = Book Qty and standard cost not defined 
related to defect 00261993.0PR14Q3 closedAtulOpenbravo when trying to post a Work Effort with total cost = 0, the Post status should be "Disabled for Accounting" 

-  Notes
(0063689)
hgbot (developer)
2014-01-27 08:07

Repository: erp/devel/pi
Changeset: a990b760487b87b49c538104cdb6419958f66af5
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Mon Jan 27 12:34:47 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/a990b760487b87b49c538104cdb6419958f66af5 [^]

Fixes Issue 24999, Fixes Issue 25528: Wrong error message
When posting and unposting an inventory with a line with Qty Count = Book Qty, wrong error message is displayed

---
M src/org/openbravo/erpCommon/ad_forms/DocInventory.java
M src/org/openbravo/erpCommon/ad_forms/DocLineInventory_data.xsql
M src/org/openbravo/financial/ResetAccounting.java
---
(0063691)
pramakrishnan (developer)
2014-01-27 08:10

Code Review + Testing - OK.
(0063695)
AtulOpenbravo (developer)
2014-01-27 08:45

Test Plan
- Login as F&B Internaltional Group Admin role.
- Go to Physical inventory window, Create one record for F&B España Organization.
- Go to Lines tab: Select any product and save record.
- Verify that Qty count and the book qty are the same.
- Process and try to post Physical Inventory record.
- Realize that record is "Disabled for Accounting".
(0064113)
hudsonbot (developer)
2014-02-12 18:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d1a5bb862230 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-10-23 16:55 VictorVillar New Issue
2013-10-23 16:55 VictorVillar Assigned To => dmiguelez
2013-10-23 16:55 VictorVillar Modules => Core
2013-10-23 16:55 VictorVillar Triggers an Emergency Pack => No
2013-10-23 16:55 VictorVillar Issue Monitored: networkb
2013-10-25 09:09 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2013-11-04 09:53 jonalegriaesarte Target Version 3.0MP30 => 3.0MP31
2013-12-26 10:33 AtulOpenbravo Assigned To jonalegriaesarte => AtulOpenbravo
2013-12-26 10:34 AtulOpenbravo Status new => scheduled
2013-12-26 10:34 AtulOpenbravo fix_in_branch => pi
2014-01-02 12:38 jonalegriaesarte Target Version 3.0MP31 => 3.0MP32
2014-01-21 23:45 ngarcia Relationship added related to 0025528
2014-01-27 08:07 hgbot Checkin
2014-01-27 08:07 hgbot Note Added: 0063689
2014-01-27 08:07 hgbot Status scheduled => resolved
2014-01-27 08:07 hgbot Resolution open => fixed
2014-01-27 08:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a990b760487b87b49c538104cdb6419958f66af5 [^]
2014-01-27 08:10 pramakrishnan Review Assigned To => pramakrishnan
2014-01-27 08:10 pramakrishnan Note Added: 0063691
2014-01-27 08:10 pramakrishnan Status resolved => closed
2014-01-27 08:45 AtulOpenbravo Note Added: 0063695
2014-02-12 18:29 hudsonbot Checkin
2014-02-12 18:29 hudsonbot Note Added: 0064113
2014-04-07 18:26 VictorVillar Relationship added related to 0026199


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker